MLAPI API Reference

# MessageChunker
GetChunkedMessage Method

[This is preliminary documentation and is subject to change.]

Chunks a large byte array to smaller chunks

Namespace: MLAPI.NetworkingManagerComponents.Binary
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static List<byte[]> GetChunkedMessage(
    	ref byte[] message,
    	int chunkSize
    )

Request Example
View Source

#### Parameters

message
  Type:
  System
  Byte
  The large byte array
chunkSize
  Type: System
  Int32
  The amount of bytes of non header data to use for each chunk

#### Return Value

Type: List
Byte
List of chunks
See Also

#### Reference

MessageChunker Class
MLAPI.NetworkingManagerComponents.Binary Namespace